Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images

From: martin rudalics <[email-masked]>
Date: Mon, 21 Jan 2019 08:52:19 +0100

> I tried that but it made no difference to the delay.  I the instrumented
 > pdf-view-image-size with the changes and visited a PDF file, but Edebug
 > did not kick in, so it seems that pdf-view-image-size is not called when
 > initially visiting a PDF file.

I didn't expect Edebug to kick in.  The 'ignore-errors' should serve
to avoid complications from the fact that redisplay has to process a
broken mode line string.  Anyway, please make sure that
'display-buffer-split-below-and-attach' in pdf-util.el does call
‘window--display-buffer’ without the final
display-buffer-mark-dedicated argument so we can make sure that this
bug doesn't interfere with further investigations.

martin